com.informix.util

## Class IfxErrMsg

- java.lang.Object
- - com.informix.util.IfxErrMsg

    public class IfxErrMsg
    extends java.lang.Object

### Field Summary

Fields
`static int` `IFXASF_BADPWD_EXCEPTION`
`static int` `IFXASF_BADSERVICE_EXCEPTION`
`static int` `IFXASF_INTERNAL_COM_ERROR`
`static int` `IFXASF_INVALID_API_INPUT_PARAM`
`static int` `IFXASF_SECURE_SOCKET_EXCEPTION`
`static int` `IFXASF_SOCKET_EXCEPTION`
`static int` `IFXASF_TRSTD_CNTXT_FAIL`
`static int` `IFXASF_UNEXPECTED_SVR_MSG`
`static int` `IFXCSM_CRYPTO_LIB_ERROR`
`static int` `IFXCSM_PROTOCOL_ERROR`
`static int` `IFXJNS_INTERNAL_ERROR`
`static int` `IFXJNS_LDAPCTINIT_ERROR`
`static int` `IFXJNS_LDAPSEARCH_ERROR`
`static int` `IFXJNS_LDAPUPDATE_ERROR`
`static int` `IFXJNS_SERVER_NOTFOUND_ERROR`
`static int` `IFXJNS_SQLHFILE_ACCESS_ERROR`
`static int` `M_1FDNODGT`
`static int` `M_1FDXRDGT`
`static int` `M_ASCStrm`
`static int` `M_BigDec`
`static int` `M_BinStrm`
`static int` `M_boolean`
`static int` `M_Boolean`
`static int` `M_byte`
`static int` `M_Byte`
`static int` `M_byteArry`
`static int` `M_CharStrm`
`static int` `M_CTLMSGTX`
`static int` `M_Date`
`static int` `M_double`
`static int` `M_Double`
`static int` `M_ERRCOD`
`static int` `M_ESCCLAUS`
`static int` `M_float`
`static int` `M_Float`
`static int` `M_FRACSTAT`
`static int` `M_IfxBSONObject`
`static int` `M_IfxIntrl`
`static int` `M_InpStrm`
`static int` `M_int`
`static int` `M_Integer`
`static int` `M_Interval`
`static int` `M_IntervalDF`
`static int` `M_IntervalYM`
`static int` `M_LDAP_ADDMSG`
`static int` `M_LDAP_CHK_CRDNTLS`
`static int` `M_LDAP_DELETE_INFO`
`static int` `M_LDAP_DELETE_SQLH`
`static int` `M_LDAP_DELETE_USAGE`
`static int` `M_LDAP_DELMSG`
`static int` `M_LDAP_EMP_SET_SRCH`
`static int` `M_LDAP_ERR_FILSQLH`
`static int` `M_LDAP_EXISTSMSG`
`static int` `M_LDAP_INITCTXDIR`
`static int` `M_LDAP_INPUT_ARGS`
`static int` `M_LDAP_INPUT_ERROR`
`static int` `M_LDAP_INPUT_FILE`
`static int` `M_LDAP_INPUT_IXBASE`
`static int` `M_LDAP_INPUT_SQBASE`
`static int` `M_LDAP_INPUT_UNAME`
`static int` `M_LDAP_INPUT_URL`
`static int` `M_LDAP_QUERY_COMMIT`
`static int` `M_LDAP_QUERY_DN`
`static int` `M_LDAP_QUERY_PW`
`static int` `M_LDAP_QUERY_UNAME`
`static int` `M_LDAP_SRCH_GETSRVR`
`static int` `M_LDAP_SRCH_RSLTS`
`static int` `M_LDAP_SRCH_RSLTS_G`
`static int` `M_LDAP_UPDT_ADDENTR`
`static int` `M_LDAP_UPDT_ADDSRVR`
`static int` `M_LDAP_UPDT_DELSRVR`
`static int` `M_LDAP_UPDT_DESSQLH`
`static int` `M_LDAP_UPDT_UPDSQLH`
`static int` `M_LDAP_UPDT_UPLDLDP`
`static int` `M_LDAP_UPDT_UPLLDAP`
`static int` `M_LDAP_UPLOAD_INFO`
`static int` `M_LDAP_UPLOAD_SQLH`
`static int` `M_LDAP_UPLOAD_USAGE`
`static int` `M_long`
`static int` `M_Long`
`static int` `M_MISSING`
`static int` `M_NClob`
`static int` `M_NLT0`
`static int` `M_Object`
`static int` `M_OUTJOIN`
`static int` `M_POSITION`
`static int` `M_RowId`
`static int` `M_short`
`static int` `M_Short`
`static int` `M_SQLXML`
`static int` `M_String`
`static int` `M_Time`
`static int` `M_Timestmp`
`static int` `M_URL`
`static int` `NETSCAPE_EXCEPTION`
`static int` `S_AMBIGUOUS_TYPE`
`static int` `S_ARRAY_IS_FREED`
`static int` `S_BADARRAY`
`static int` `S_BADDATESTR`
`static int` `S_BADDAYVAL`
`static int` `S_BADINDEXCOUNT`
`static int` `S_BADINPUT`
`static int` `S_BADLENREQ`
`static int` `S_BADMONTHVAL`
`static int` `S_BADOBJECTYPE`
`static int` `S_BADSQLDATA`
`static int` `S_BADTYPEREQUESTED`
`static int` `S_BADXIDNAME`
`static int` `S_BADXIDREQ`
`static int` `S_BLOBNFND`
`static int` `S_CALLEDONCE`
`static int` `S_CHREXPCT`
`static int` `S_CNIPRTCL`
`static int` `S_CNTCROBJ`
`static int` `S_CNTCVFR`
`static int` `S_CNTCVTO`
`static int` `S_CNTLDDRV`
`static int` `S_CNTLDIPT`
`static int` `S_CNTLKCNN`
`static int` `S_COLLTYPENOTSAME`
`static int` `S_CONCUR_READ_ONLY`
`static int` `S_CONN_NOT_SUPP`
`static int` `S_CPM_INVALID_PARAM`
`static int` `S_CURSOR_NOT_OPEN`
`static int` `S_DATEFMT`
`static int` `S_DATETIME_PARSE_ERROR`
`static int` `S_DBDATEINVYEAREXP`
`static int` `S_DBDATELEN`
`static int` `S_DBDATENOYEARCHAR`
`static int` `S_DBDATENOYEAREXP`
`static int` `S_DLMEXPCT`
`static int` `S_EMPTYARRAY`
`static int` `S_ENCNOTSUPP`
`static int` `S_ESCPFMT`
`static int` `S_EXCEEDED_MAX_CPM_CONN`
`static int` `S_FDIR_ERR`
`static int` `S_FDIR_UNSUP`
`static int` `S_FETCHED_ONE`
`static int` `S_FSIZ`
`static int` `S_FWDFETCH`
`static int` `S_GLDATEDTOKS`
`static int` `S_GLDATEXTOKS`
`static int` `S_HTTP_DB_IO_ERR`
`static int` `S_HTTP_NO_DB_CON`
`static int` `S_ILLCURNM`
`static int` `S_INCPINPT`
`static int` `S_INSERTMODE`
`static int` `S_INSUFBLB`
`static int` `S_INV_OPERATION_SAVEPOINT_IN_XA`
`static int` `S_INV_SAVEPOINT_DIFF_CONN`
`static int` `S_INV_SAVEPOINT_IN_AUTOCOMMIT`
`static int` `S_INV_SAVEPOINT_NAME_NULL`
`static int` `S_INV_SAVEPOINT_NULL`
`static int` `S_INVALID_ARRAY_INDEX_IN_POOL`
`static int` `S_INVALID_BLOB`
`static int` `S_INVALID_CHARACTER`
`static int` `S_INVALID_DIRECTIVE`
`static int` `S_INVALID_GENERATED_KEYS`
`static int` `S_INVALID_WRAP`
`static int` `S_INVALIDARG`
`static int` `S_INVALIDJDK`
`static int` `S_INVBCOBJECT`
`static int` `S_INVCTDEFSTR`
`static int` `S_INVDATEOBJ`
`static int` `S_INVDBDATEFMT`
`static int` `S_INVDBNAM`
`static int` `S_INVDITVL`
`static int` `S_INVDQUAL`
`static int` `S_INVDTXIL`
`static int` `S_INVIPADD`
`static int` `S_INVMAXFLDSIZ`
`static int` `S_INVPROP`
`static int` `S_INVPRTNM`
`static int` `S_INVSBPRT`
`static int` `S_INVTIMEOUT`
`static int` `S_IOSTREAM_ERROR`
`static int` `S_JDKVERERR`
`static int` `S_LOB_IS_FREED`
`static int` `S_LOB_STREAM_POS_LEN`
`static int` `S_LOCNOTSUPP`
`static int` `S_MAXQUOTEDSTRING`
`static int` `S_MsgNotFound`
`static int` `S_MSTJDBC`
`static int` `S_MTH4QRY`
`static int` `S_MTHNOARG`
`static int` `S_MTHNSUPP`
`static int` `S_MTHNSUPP_WITH_SERVER`
`static int` `S_MXROWRNG`
`static int` `S_NAME_NOT_NEEDED`
`static int` `S_NAMED_SAVEPOINT`
`static int` `S_NATIVEDATEFMT`
`static int` `S_NCNNSTMT`
`static int` `S_NDXOTRNG`
`static int` `S_NMCHNQMK`
`static int` `S_NO_OUTPARAM`
`static int` `S_NOACTRES`
`static int` `S_NOCLNNM`
`static int` `S_NOCONN`
`static int` `S_NOCURROW`
`static int` `S_NOERAFOUND`
`static int` `S_NOGLSSUPP`
`static int` `S_NOINSERT`
`static int` `S_NOKEY`
`static int` `S_NOMORETOKS`
`static int` `S_NOMTDATA`
`static int` `S_NOROWDATA`
`static int` `S_NOSERVER`
`static int` `S_NOSTMT`
`static int` `S_NOT_OUTPARAM`
`static int` `S_NOT_REG_OUTPARAM`
`static int` `S_NOT_SET_INPARAM`
`static int` `S_NOT_SET_OUTPARAM`
`static int` `S_NOTACOLLECTION`
`static int` `S_NOTALOB`
`static int` `S_NOTBLNAME`
`static int` `S_NOTENOUGHTOKS`
`static int` `S_NOTUPTBL`
`static int` `S_NOTV5SERVER`
`static int` `S_NOTYPEMAP`
`static int` `S_NOTYPENAM`
`static int` `S_NOUSERNAME`
`static int` `S_NS_ACCESS_DENIED`
`static int` `S_NS_PRIVILEGE_NOTGRANTED`
`static int` `S_NTXISONL`
`static int` `S_NULLINPT`
`static int` `S_NULLSQL`
`static int` `S_NUMARGS`
`static int` `S_NUMEXPCT`
`static int` `S_OBJNULL`
`static int` `S_OTBLBMEM`
`static int` `S_OUTPARAM`
`static int` `S_PAM_AUTHORIZATION_FAILURE`
`static int` `S_PAM_CLASS_NOT_FOUND`
`static int` `S_PAM_INTERFACE`
`static int` `S_PAM_MESSAGE_SIZE_EXCEEDED`
`static int` `S_PARAMETER_MIXED_USAGE`
`static int` `S_PARAMETER_NAME_NOT_FOUND`
`static int` `S_QUALECOD`
`static int` `S_QUALLENG`
`static int` `S_QUALSCOD`
`static int` `S_QUALSORE`
`static int` `S_RESULTSET_NOT_OPEN`
`static int` `S_ROMNSUPP`
`static int` `S_RSCLOSED`
`static int` `S_RSCTYPE_NOSUP`
`static int` `S_RSREADONLY`
`static int` `S_RSTYPE_NOSUP`
`static int` `S_SCRROW`
`static int` `S_SCRTYPE`
`static int` `S_SECUVIAL`
`static int` `S_STMTCLOSED`
`static int` `S_STMTNPRE`
`static int` `S_SYNTAX`
`static int` `S_SYSINTRL`
`static int` `S_TIMEFMT`
`static int` `S_TMSTPFMT`
`static int` `S_TXNSUPP`
`static int` `S_TYPENAME_REQ`
`static int` `S_TYPNSUPP`
`static int` `S_UDTUDRMGR_AMBIGUOUS_TYPE`
`static int` `S_UDTUDRMGR_CHPERMCMD`
`static int` `S_UDTUDRMGR_CLJAR_NOTEXIST`
`static int` `S_UDTUDRMGR_COPYTOSERVERFAIL`
`static int` `S_UDTUDRMGR_INVALID_FLD`
`static int` `S_UDTUDRMGR_INVALID_FLDTYP`
`static int` `S_UDTUDRMGR_INVALID_JARNM`
`static int` `S_UDTUDRMGR_INVALID_SUPPFUNCTYP`
`static int` `S_UDTUDRMGR_JAREXISTS`
`static int` `S_UDTUDRMGR_JAVAC_JAR_CMD`
`static int` `S_UDTUDRMGR_NO_CLASSFILE`
`static int` `S_UDTUDRMGR_NO_DB_IN_CONN`
`static int` `S_UDTUDRMGR_NO_FLDTYPMATCH`
`static int` `S_UDTUDRMGR_NO_JARSQLNM`
`static int` `S_UDTUDRMGR_NO_UDRINFO`
`static int` `S_UDTUDRMGR_NO_UDTFLDCNT`
`static int` `S_UDTUDRMGR_NO_UDTFLDLEN`
`static int` `S_UDTUDRMGR_NO_UDTFLDNMTYP`
`static int` `S_UDTUDRMGR_NO_UDTLEN`
`static int` `S_UDTUDRMGR_NO_UDTSQLNM`
`static int` `S_UDTUDRMGR_NOT_SQLDATA`
`static int` `S_UDTUDRMGR_RMCLFILE_CMD`
`static int` `S_UDTUDRMGR_UDTCLASSNFD`
`static int` `S_UDTUDRMGR_UDTEXISTS`
`static int` `S_UDTUDRMGR_UDTNOTEXIST`
`static int` `S_UKNOBJTP`
`static int` `S_UNEXPECTED_EXCEPTION`
`static int` `S_UNNAMED_SAVEPOINT`
`static int` `S_URLFMT`
`static int` `S_WRONG_USER_PASSWD`
`static int` `S_WRTFAULT`
`static int` `S_XA_ALREADY_INLOCALTRANS`
`static int` `S_XA_NOTSUPP`
`static int` `S_XTRACHR`
`static int` `TEMP_REDIRECT_SQLCODE`
`static int` `TEMPSQLCODE`

### Constructor Summary

Constructors
Constructor and Description
`IfxErrMsg()` Empty constructor.

### Method Summary

Methods
`static IfxASFException` `getIfxASFException(int sqlcode, IfxConnection conn)` Return IfxASFException made up of the following information: - sqlcode - error message text for error 'sqlcode', taken from our .msg files.
`static IfxASFException` `getIfxASFException(int sqlcode, java.lang.String msg, IfxConnection conn)` Return IfxASFException made up of the following information: - sqlcode - error message text for error 'sqlcode', and 'msg'.
`static IfxCSSException` `getIfxCSSException(int sqlcode, IfxConnection conn)` Return IfxCSSException made up of the following information: - sqlcode - error message text for error 'sqlcode', taken from our .msg files.
`static IfxCSSException` `getIfxCSSException(int sqlcode, java.lang.String msg, IfxConnection conn)` Return IfxCSSException made up of the following information: - sqlcode - error message text for error 'sqlcode', and 'msg'.
`static IfxJNSException` `getIfxJNSException(int sqlcode, IfxConnection conn)` Return IfxJNSException made up of the following information: - sqlcode - error message text for error 'sqlcode', taken from our .msg files.
`static java.io.IOException` `getIOException(int sqlcode, IfxConnection conn)` Return IOException made up of the following information: - error message text for error 'sqlcode', taken from our .msg files.
`static java.io.IOException` `getIOException(int sqlcode, java.lang.String msg, IfxConnection conn)` Return IOException made up of the following information: - error message text for error 'sqlcode', and 'msg'.
`static IfxASFException` `getLocIfxASFException(int sqlcode, java.lang.String locale)` Return IfxASFException made up of the following information: - sqlcode - error message text for error 'sqlcode', taken from our .msg files.
`static IfxASFException` `getLocIfxASFException(int sqlcode, java.lang.String msg, java.lang.String locale)` Return IfxASFException made up of the following information: - sqlcode - error message text for error 'sqlcode', and 'msg'.
`static IfxCSSException` `getLocIfxCSSException(int sqlcode, java.lang.String locale)` Return IfxCSSException made up of the following information: - sqlcode - error message text for error 'sqlcode', taken from our .msg files.
`static IfxCSSException` `getLocIfxCSSException(int sqlcode, java.lang.String msg, java.lang.String locale)` Return IfxCSSException made up of the following information: - sqlcode - error message text for error 'sqlcode', and 'msg'.
`static IfxJNSException` `getLocIfxJNSException(int sqlcode, int minor1, int minor2, java.lang.String locale)` Return IfxJNSException made up of the following information: - sqlcode - error message text for error 'sqlcode', and 'minor1' and 'minor2'.
`static IfxJNSException` `getLocIfxJNSException(int sqlcode, int minor, java.lang.String locale)` Return IfxJNSException made up of the following information: - sqlcode - error message text for error 'sqlcode', and 'minor' This is useful for including extra text not in the error message text.
`static IfxJNSException` `getLocIfxJNSException(int sqlcode, java.lang.String locale)` Return IfxJNSException made up of the following information: - sqlcode - error message text for error 'sqlcode', taken from our .msg files.
`static java.io.IOException` `getLocIOException(int sqlcode, int minor, java.lang.String msg, java.lang.String locale)` Return IOException made up of the following information: - error message text for error 'sqlcode', 'minor' and 'msg'.
`static java.io.IOException` `getLocIOException(int sqlcode, java.lang.String locale)` Return IOException made up of the following information: - error message text for error 'sqlcode', taken from our .msg files.
`static java.io.IOException` `getLocIOException(int sqlcode, java.lang.String msg, java.lang.String locale)` Return IOException made up of the following information: - error message text for error 'sqlcode', and 'msg'.
`static java.sql.SQLException` `getLocSQLException(int sqlcode, java.lang.String locale)` Return SQLException made up of the following information: - error message text for error 'sqlcode', taken from our .msg files.
`static java.sql.SQLException` `getLocSQLException(int sqlcode, java.lang.String msg, java.lang.String locale)` Return SQLException made up of the following information: - error message text for error 'sqlcode', and 'msg'.
`static java.sql.SQLException` `getLocSQLMinorException(int sqlcode, int minor, java.lang.String locale)` Return SQLException made up of the following information: - error message text for error 'sqlcode' plus error message text from jdbcminor.msg for error 'minor' - SqlState code that corresponds to 'sqlcode'.
`static java.sql.SQLException` `getLocSQLMinorException(int sqlcode, int minor, java.lang.String s, java.lang.String locale)` Return SQLException made up of the following information: - error message text for error 'sqlcode' plus error message text from jdbcminor.msg for error 'minor' plus string 's' - SqlState code that corresponds to 'sqlcode'.
`static java.lang.String` `getMessage(int sqlcode)` Wrapper for IfxMessage.getMessage()
`static java.lang.String` `getMessage(int sqlcode, IfxConnection conn)` Wrapper for IfxMessage.getMessage()
`static java.lang.String` `getMessage(int sqlcode, java.lang.String locale)` Wrapper for IfxMessage.getMessage()
`static java.lang.String` `getMessage(int sqlcode, java.lang.String arg1, IfxConnection conn)` Wrapper for IfxMessage.getMessage()
`static java.lang.String` `getMessage(int sqlcode, java.lang.String arg1, java.lang.String locale)` Wrapper for IfxMessage.getMessage()
`static java.lang.String` `getMessage(int sqlcode, java.lang.String arg1, java.lang.String arg2, IfxConnection conn)` Wrapper for IfxMessage.getMessage()
`static java.lang.String` `getMessage(java.lang.String msgtext, java.lang.String arg1, IfxConnection conn)` Wrapper for IfxMessage.getMessage()
`static java.lang.String` `getMessage(java.lang.String msgtext, java.lang.String arg1, java.lang.String locale)` Wrapper for IfxMessage.getMessage()
`static java.lang.String` `getMessage(java.lang.String msgtext, java.lang.String arg1, java.lang.String arg2, IfxConnection conn)` Wrapper for IfxMessage.getMessage()
`static java.lang.String` `getMinorMsg(int sqlcode, IfxConnection conn)` Return the error message text from IfxMinorMsgBundle that corresponds to error code 'sqlcode'.
`static java.lang.String` `getMinorMsg(int sqlcode, java.lang.String locale)` Return the error message text from IfxMinorMsgBundle that corresponds to error code 'sqlcode'.
`static java.sql.SQLException` `getSQLException(java.lang.Integer sqlCode, java.lang.Integer isamCode, IfxConnection conn, java.util.Locale locale, java.lang.String msg)`
`static java.sql.SQLException` `getSQLException(java.lang.Integer sqlCode, java.lang.Integer isamCode, IfxConnection conn, java.lang.String locale, java.lang.String msg)`
`static java.sql.SQLException` `getSQLException(int sqlcode, IfxConnection conn)` Return SQLException made up of the following information: - error message text for error 'sqlcode', taken from our .msg files.
`static java.sql.SQLException` `getSQLException(int sqlcode, int isamcode, IfxConnection conn)` Return SQLException made up of the following information: - error message text for error 'sqlcode', taken from our .msg files.
`static java.sql.SQLException` `getSQLException(int sqlcode, java.lang.String msg, IfxConnection conn)` Return SQLException made up of the following information: - error message text for error 'sqlcode', and 'msg'.
`static java.sql.SQLException` `getSQLException(int sqlcode, java.lang.String msg, java.util.Locale loc)` Return SQLException made up of the following information: - error message text for error 'sqlcode', and 'msg'.
`static java.sql.SQLException` `getSQLException(int sqlcode, java.lang.String msg, java.lang.String locale)` Return SQLException made up of the following information: - error message text for error 'sqlcode', and 'msg'.
`static java.sql.SQLException` `getSQLMinorException(int sqlcode, int minor, IfxConnection conn)` Return SQLException made up of the following information: - error message text for error 'sqlcode' plus error message text from jdbcminor.msg for error 'minor' - SqlState code that corresponds to 'sqlcode'.
`static java.sql.SQLException` `getSQLMinorException(int sqlcode, int minor, java.lang.String s, IfxConnection conn)` Return SQLException made up of the following information: - error message text for error 'sqlcode' plus error message text from jdbcminor.msg for error 'minor' plus string 's' - SqlState code that corresponds to 'sqlcode'.
`static java.sql.SQLException` `getSQLMinorException(int sqlcode, java.lang.String s1, int minor, java.lang.String s2, IfxConnection conn)` Return SQLException made up of the following information: - error message text for error 'sqlcode' plus string 's1' plus error message text from jdbcminor.msg for error 'minor' plus string 's2' - SqlState code that corresponds to 'sqlcode'.
`static java.lang.String` `getSQLSTATE(int sqlcode)` Wrapper for IfxMessage.getSQLSTATE()
`static java.lang.Exception` `setExceptionCause(java.lang.Exception exception, java.lang.Exception cause)`
`static java.sql.SQLException` `setSQLExceptionCause(java.sql.SQLException sqlException, java.lang.Exception cause)` Return SQLException with the cause set to 'cause' if the JDK is greater than or equal to 1.4.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### S_MTHNSUPP

    public static final int S_MTHNSUPP

See Also:
  Constant Field Values

#### S_BLOBNFND

    public static final int S_BLOBNFND

See Also:
  Constant Field Values

#### S_CNTCROBJ

    public static final int S_CNTCROBJ

See Also:
  Constant Field Values

#### S_NDXOTRNG

    public static final int S_NDXOTRNG

See Also:
  Constant Field Values

#### S_CNTLDDRV

    public static final int S_CNTLDDRV

See Also:
  Constant Field Values

#### S_URLFMT

    public static final int S_URLFMT

See Also:
  Constant Field Values

#### S_INCPINPT

    public static final int S_INCPINPT

See Also:
  Constant Field Values

#### S_INVDQUAL

    public static final int S_INVDQUAL

See Also:
  Constant Field Values

#### S_NULLINPT

    public static final int S_NULLINPT

See Also:
  Constant Field Values

#### S_DATEFMT

    public static final int S_DATEFMT

See Also:
  Constant Field Values

#### S_ESCPFMT

    public static final int S_ESCPFMT

See Also:
  Constant Field Values

#### S_TIMEFMT

    public static final int S_TIMEFMT

See Also:
  Constant Field Values

#### S_TMSTPFMT

    public static final int S_TMSTPFMT

See Also:
  Constant Field Values

#### S_NUMARGS

    public static final int S_NUMARGS

See Also:
  Constant Field Values

#### S_TYPNSUPP

    public static final int S_TYPNSUPP

See Also:
  Constant Field Values

#### S_SYNTAX

    public static final int S_SYNTAX

See Also:
  Constant Field Values

#### S_SYSINTRL

    public static final int S_SYSINTRL

See Also:
  Constant Field Values

#### S_QUALLENG

    public static final int S_QUALLENG

See Also:
  Constant Field Values

#### S_QUALSCOD

    public static final int S_QUALSCOD

See Also:
  Constant Field Values

#### S_QUALECOD

    public static final int S_QUALECOD

See Also:
  Constant Field Values

#### S_QUALSORE

    public static final int S_QUALSORE

See Also:
  Constant Field Values

#### S_INVDITVL

    public static final int S_INVDITVL

See Also:
  Constant Field Values

#### S_NUMEXPCT

    public static final int S_NUMEXPCT

See Also:
  Constant Field Values

#### S_DLMEXPCT

    public static final int S_DLMEXPCT

See Also:
  Constant Field Values

#### S_CHREXPCT

    public static final int S_CHREXPCT

See Also:
  Constant Field Values

#### S_XTRACHR

    public static final int S_XTRACHR

See Also:
  Constant Field Values

#### S_NULLSQL

    public static final int S_NULLSQL

See Also:
  Constant Field Values

#### S_STMTNPRE

    public static final int S_STMTNPRE

See Also:
  Constant Field Values

#### S_UKNOBJTP

    public static final int S_UKNOBJTP

See Also:
  Constant Field Values

#### S_MTHNOARG

    public static final int S_MTHNOARG

See Also:
  Constant Field Values

#### S_NOCONN

    public static final int S_NOCONN

See Also:
  Constant Field Values

#### S_MXROWRNG

    public static final int S_MXROWRNG

See Also:
  Constant Field Values

#### S_ILLCURNM

    public static final int S_ILLCURNM

See Also:
  Constant Field Values

#### S_NOACTRES

    public static final int S_NOACTRES

See Also:
  Constant Field Values

#### S_NOSERVER

    public static final int S_NOSERVER

See Also:
  Constant Field Values

#### S_CNIPRTCL

    public static final int S_CNIPRTCL

See Also:
  Constant Field Values

#### S_NCNNSTMT

    public static final int S_NCNNSTMT

See Also:
  Constant Field Values

#### S_NOMTDATA

    public static final int S_NOMTDATA

See Also:
  Constant Field Values

#### S_NOCLNNM

    public static final int S_NOCLNNM

See Also:
  Constant Field Values

#### S_NOCURROW

    public static final int S_NOCURROW

See Also:
  Constant Field Values

#### S_NOSTMT

    public static final int S_NOSTMT

See Also:
  Constant Field Values

#### S_CNTCVTO

    public static final int S_CNTCVTO

See Also:
  Constant Field Values

#### S_CNTCVFR

    public static final int S_CNTCVFR

See Also:
  Constant Field Values

#### S_CNTLDIPT

    public static final int S_CNTLDIPT

See Also:
  Constant Field Values

#### S_TXNSUPP

    public static final int S_TXNSUPP

See Also:
  Constant Field Values

#### S_ROMNSUPP

    public static final int S_ROMNSUPP

See Also:
  Constant Field Values

#### S_NTXISONL

    public static final int S_NTXISONL

See Also:
  Constant Field Values

#### S_INVDTXIL

    public static final int S_INVDTXIL

See Also:
  Constant Field Values

#### S_CNTLKCNN

    public static final int S_CNTLKCNN

See Also:
  Constant Field Values

#### S_NMCHNQMK

    public static final int S_NMCHNQMK

See Also:
  Constant Field Values

#### S_MTH4QRY

    public static final int S_MTH4QRY

See Also:
  Constant Field Values

#### S_FWDFETCH

    public static final int S_FWDFETCH

See Also:
  Constant Field Values

#### S_INSUFBLB

    public static final int S_INSUFBLB

See Also:
  Constant Field Values

#### S_OTBLBMEM

    public static final int S_OTBLBMEM

See Also:
  Constant Field Values

#### S_WRTFAULT

    public static final int S_WRTFAULT

See Also:
  Constant Field Values

#### S_OBJNULL

    public static final int S_OBJNULL

See Also:
  Constant Field Values

#### S_MSTJDBC

    public static final int S_MSTJDBC

See Also:
  Constant Field Values

#### S_INVSBPRT

    public static final int S_INVSBPRT

See Also:
  Constant Field Values

#### S_INVIPADD

    public static final int S_INVIPADD

See Also:
  Constant Field Values

#### S_INVPRTNM

    public static final int S_INVPRTNM

See Also:
  Constant Field Values

#### S_INVDBNAM

    public static final int S_INVDBNAM

See Also:
  Constant Field Values

#### S_INVPROP

    public static final int S_INVPROP

See Also:
  Constant Field Values

#### S_NOTV5SERVER

    public static final int S_NOTV5SERVER

See Also:
  Constant Field Values

#### S_RSCTYPE_NOSUP

    public static final int S_RSCTYPE_NOSUP

See Also:
  Constant Field Values

#### S_FDIR_UNSUP

    public static final int S_FDIR_UNSUP

See Also:
  Constant Field Values

#### S_FDIR_ERR

    public static final int S_FDIR_ERR

See Also:
  Constant Field Values

#### S_FSIZ

    public static final int S_FSIZ

See Also:
  Constant Field Values

#### S_SCRTYPE

    public static final int S_SCRTYPE

See Also:
  Constant Field Values

#### S_SCRROW

    public static final int S_SCRROW

See Also:
  Constant Field Values

#### S_NOTYPEMAP

    public static final int S_NOTYPEMAP

See Also:
  Constant Field Values

#### S_NOTYPENAM

    public static final int S_NOTYPENAM

See Also:
  Constant Field Values

#### S_BADINPUT

    public static final int S_BADINPUT

See Also:
  Constant Field Values

#### S_BADSQLDATA

    public static final int S_BADSQLDATA

See Also:
  Constant Field Values

#### S_INVALIDARG

    public static final int S_INVALIDARG

See Also:
  Constant Field Values

#### S_SECUVIAL

    public static final int S_SECUVIAL

See Also:
  Constant Field Values

#### S_RSTYPE_NOSUP

    public static final int S_RSTYPE_NOSUP

See Also:
  Constant Field Values

#### S_BADTYPEREQUESTED

    public static final int S_BADTYPEREQUESTED

See Also:
  Constant Field Values

#### S_BADOBJECTYPE

    public static final int S_BADOBJECTYPE

See Also:
  Constant Field Values

#### S_NOTACOLLECTION

    public static final int S_NOTACOLLECTION

See Also:
  Constant Field Values

#### S_EMPTYARRAY

    public static final int S_EMPTYARRAY

See Also:
  Constant Field Values

#### S_COLLTYPENOTSAME

    public static final int S_COLLTYPENOTSAME

See Also:
  Constant Field Values

#### S_BADINDEXCOUNT

    public static final int S_BADINDEXCOUNT

See Also:
  Constant Field Values

#### S_CALLEDONCE

    public static final int S_CALLEDONCE

See Also:
  Constant Field Values

#### S_ENCNOTSUPP

    public static final int S_ENCNOTSUPP

See Also:
  Constant Field Values

#### S_LOCNOTSUPP

    public static final int S_LOCNOTSUPP

See Also:
  Constant Field Values

#### S_NATIVEDATEFMT

    public static final int S_NATIVEDATEFMT

See Also:
  Constant Field Values

#### S_INVDATEOBJ

    public static final int S_INVDATEOBJ

See Also:
  Constant Field Values

#### S_NOTALOB

    public static final int S_NOTALOB

See Also:
  Constant Field Values

#### S_NOUSERNAME

    public static final int S_NOUSERNAME

See Also:
  Constant Field Values

#### S_NOGLSSUPP

    public static final int S_NOGLSSUPP

See Also:
  Constant Field Values

#### S_INVCTDEFSTR

    public static final int S_INVCTDEFSTR

See Also:
  Constant Field Values

#### S_INVBCOBJECT

    public static final int S_INVBCOBJECT

See Also:
  Constant Field Values

#### S_NOROWDATA

    public static final int S_NOROWDATA

See Also:
  Constant Field Values

#### S_BADARRAY

    public static final int S_BADARRAY

See Also:
  Constant Field Values

#### S_BADXIDREQ

    public static final int S_BADXIDREQ

See Also:
  Constant Field Values

#### S_BADLENREQ

    public static final int S_BADLENREQ

See Also:
  Constant Field Values

#### S_BADXIDNAME

    public static final int S_BADXIDNAME

See Also:
  Constant Field Values

#### S_DBDATELEN

    public static final int S_DBDATELEN

See Also:
  Constant Field Values

#### S_DBDATENOYEAREXP

    public static final int S_DBDATENOYEAREXP

See Also:
  Constant Field Values

#### S_DBDATEINVYEAREXP

    public static final int S_DBDATEINVYEAREXP

See Also:
  Constant Field Values

#### S_DBDATENOYEARCHAR

    public static final int S_DBDATENOYEARCHAR

See Also:
  Constant Field Values

#### S_INVDBDATEFMT

    public static final int S_INVDBDATEFMT

See Also:
  Constant Field Values

#### S_NOTENOUGHTOKS

    public static final int S_NOTENOUGHTOKS

See Also:
  Constant Field Values

#### S_BADDATESTR

    public static final int S_BADDATESTR

See Also:
  Constant Field Values

#### S_NOMORETOKS

    public static final int S_NOMORETOKS

See Also:
  Constant Field Values

#### S_NOERAFOUND

    public static final int S_NOERAFOUND

See Also:
  Constant Field Values

#### S_BADDAYVAL

    public static final int S_BADDAYVAL

See Also:
  Constant Field Values

#### S_BADMONTHVAL

    public static final int S_BADMONTHVAL

See Also:
  Constant Field Values

#### S_GLDATEDTOKS

    public static final int S_GLDATEDTOKS

See Also:
  Constant Field Values

#### S_GLDATEXTOKS

    public static final int S_GLDATEXTOKS

See Also:
  Constant Field Values

#### S_INVALIDJDK

    public static final int S_INVALIDJDK

See Also:
  Constant Field Values

#### S_CONN_NOT_SUPP

    public static final int S_CONN_NOT_SUPP

See Also:
  Constant Field Values

#### S_WRONG_USER_PASSWD

    public static final int S_WRONG_USER_PASSWD

See Also:
  Constant Field Values

#### S_FETCHED_ONE

    public static final int S_FETCHED_ONE

See Also:
  Constant Field Values

#### S_INVALID_BLOB

    public static final int S_INVALID_BLOB

See Also:
  Constant Field Values

#### S_NOINSERT

    public static final int S_NOINSERT

See Also:
  Constant Field Values

#### S_NOTBLNAME

    public static final int S_NOTBLNAME

See Also:
  Constant Field Values

#### S_NOKEY

    public static final int S_NOKEY

See Also:
  Constant Field Values

#### S_NOTUPTBL

    public static final int S_NOTUPTBL

See Also:
  Constant Field Values

#### S_INSERTMODE

    public static final int S_INSERTMODE

See Also:
  Constant Field Values

#### S_OUTPARAM

    public static final int S_OUTPARAM

See Also:
  Constant Field Values

#### S_NAME_NOT_NEEDED

    public static final int S_NAME_NOT_NEEDED

See Also:
  Constant Field Values

#### S_NOT_REG_OUTPARAM

    public static final int S_NOT_REG_OUTPARAM

See Also:
  Constant Field Values

#### S_NOT_SET_INPARAM

    public static final int S_NOT_SET_INPARAM

See Also:
  Constant Field Values

#### S_NOT_SET_OUTPARAM

    public static final int S_NOT_SET_OUTPARAM

See Also:
  Constant Field Values

#### S_TYPENAME_REQ

    public static final int S_TYPENAME_REQ

See Also:
  Constant Field Values

#### S_AMBIGUOUS_TYPE

    public static final int S_AMBIGUOUS_TYPE

See Also:
  Constant Field Values

#### S_NO_OUTPARAM

    public static final int S_NO_OUTPARAM

See Also:
  Constant Field Values

#### S_NOT_OUTPARAM

    public static final int S_NOT_OUTPARAM

See Also:
  Constant Field Values

#### S_INVALID_DIRECTIVE

    public static final int S_INVALID_DIRECTIVE

See Also:
  Constant Field Values

#### S_DATETIME_PARSE_ERROR

    public static final int S_DATETIME_PARSE_ERROR

See Also:
  Constant Field Values

#### S_EXCEEDED_MAX_CPM_CONN

    public static final int S_EXCEEDED_MAX_CPM_CONN

See Also:
  Constant Field Values

#### S_NS_ACCESS_DENIED

    public static final int S_NS_ACCESS_DENIED

See Also:
  Constant Field Values

#### S_NS_PRIVILEGE_NOTGRANTED

    public static final int S_NS_PRIVILEGE_NOTGRANTED

See Also:
  Constant Field Values

#### S_XA_NOTSUPP

    public static final int S_XA_NOTSUPP

See Also:
  Constant Field Values

#### S_RSREADONLY

    public static final int S_RSREADONLY

See Also:
  Constant Field Values

#### S_HTTP_NO_DB_CON

    public static final int S_HTTP_NO_DB_CON

See Also:
  Constant Field Values

#### S_HTTP_DB_IO_ERR

    public static final int S_HTTP_DB_IO_ERR

See Also:
  Constant Field Values

#### S_UDTUDRMGR_CHPERMCMD

    public static final int S_UDTUDRMGR_CHPERMCMD

See Also:
  Constant Field Values

#### S_UDTUDRMGR_JAREXISTS

    public static final int S_UDTUDRMGR_JAREXISTS

See Also:
  Constant Field Values

#### S_UDTUDRMGR_COPYTOSERVERFAIL

    public static final int S_UDTUDRMGR_COPYTOSERVERFAIL

See Also:
  Constant Field Values

#### S_CPM_INVALID_PARAM

    public static final int S_CPM_INVALID_PARAM

See Also:
  Constant Field Values

#### S_UDTUDRMGR_NO_UDRINFO

    public static final int S_UDTUDRMGR_NO_UDRINFO

See Also:
  Constant Field Values

#### S_UDTUDRMGR_NO_JARSQLNM

    public static final int S_UDTUDRMGR_NO_JARSQLNM

See Also:
  Constant Field Values

#### S_UDTUDRMGR_NO_DB_IN_CONN

    public static final int S_UDTUDRMGR_NO_DB_IN_CONN

See Also:
  Constant Field Values

#### S_UDTUDRMGR_CLJAR_NOTEXIST

    public static final int S_UDTUDRMGR_CLJAR_NOTEXIST

See Also:
  Constant Field Values

#### S_UDTUDRMGR_INVALID_JARNM

    public static final int S_UDTUDRMGR_INVALID_JARNM

See Also:
  Constant Field Values

#### S_UDTUDRMGR_JAVAC_JAR_CMD

    public static final int S_UDTUDRMGR_JAVAC_JAR_CMD

See Also:
  Constant Field Values

#### S_UDTUDRMGR_UDTEXISTS

    public static final int S_UDTUDRMGR_UDTEXISTS

See Also:
  Constant Field Values

#### S_UDTUDRMGR_NO_UDTSQLNM

    public static final int S_UDTUDRMGR_NO_UDTSQLNM

See Also:
  Constant Field Values

#### S_UDTUDRMGR_NO_UDTFLDCNT

    public static final int S_UDTUDRMGR_NO_UDTFLDCNT

See Also:
  Constant Field Values

#### S_UDTUDRMGR_NO_UDTLEN

    public static final int S_UDTUDRMGR_NO_UDTLEN

See Also:
  Constant Field Values

#### S_UDTUDRMGR_NO_UDTFLDNMTYP

    public static final int S_UDTUDRMGR_NO_UDTFLDNMTYP

See Also:
  Constant Field Values

#### S_UDTUDRMGR_NO_CLASSFILE

    public static final int S_UDTUDRMGR_NO_CLASSFILE

See Also:
  Constant Field Values

#### S_UDTUDRMGR_NOT_SQLDATA

    public static final int S_UDTUDRMGR_NOT_SQLDATA

See Also:
  Constant Field Values

#### S_UDTUDRMGR_UDTCLASSNFD

    public static final int S_UDTUDRMGR_UDTCLASSNFD

See Also:
  Constant Field Values

#### S_UDTUDRMGR_UDTNOTEXIST

    public static final int S_UDTUDRMGR_UDTNOTEXIST

See Also:
  Constant Field Values

#### S_UDTUDRMGR_INVALID_SUPPFUNCTYP

    public static final int S_UDTUDRMGR_INVALID_SUPPFUNCTYP

See Also:
  Constant Field Values

#### S_UDTUDRMGR_RMCLFILE_CMD

    public static final int S_UDTUDRMGR_RMCLFILE_CMD

See Also:
  Constant Field Values

#### S_UDTUDRMGR_INVALID_FLD

    public static final int S_UDTUDRMGR_INVALID_FLD

See Also:
  Constant Field Values

#### S_UDTUDRMGR_AMBIGUOUS_TYPE

    public static final int S_UDTUDRMGR_AMBIGUOUS_TYPE

See Also:
  Constant Field Values

#### S_UDTUDRMGR_NO_FLDTYPMATCH

    public static final int S_UDTUDRMGR_NO_FLDTYPMATCH

See Also:
  Constant Field Values

#### S_UDTUDRMGR_INVALID_FLDTYP

    public static final int S_UDTUDRMGR_INVALID_FLDTYP

See Also:
  Constant Field Values

#### S_UDTUDRMGR_NO_UDTFLDLEN

    public static final int S_UDTUDRMGR_NO_UDTFLDLEN

See Also:
  Constant Field Values

#### S_MAXQUOTEDSTRING

    public static final int S_MAXQUOTEDSTRING

See Also:
  Constant Field Values

#### S_STMTCLOSED

    public static final int S_STMTCLOSED

See Also:
  Constant Field Values

#### S_RSCLOSED

    public static final int S_RSCLOSED

See Also:
  Constant Field Values

#### S_INVTIMEOUT

    public static final int S_INVTIMEOUT

See Also:
  Constant Field Values

#### S_INVMAXFLDSIZ

    public static final int S_INVMAXFLDSIZ

See Also:
  Constant Field Values

#### S_RESULTSET_NOT_OPEN

    public static final int S_RESULTSET_NOT_OPEN

See Also:
  Constant Field Values

#### S_UNEXPECTED_EXCEPTION

    public static final int S_UNEXPECTED_EXCEPTION

See Also:
  Constant Field Values

#### S_JDKVERERR

    public static final int S_JDKVERERR

See Also:
  Constant Field Values

#### S_XA_ALREADY_INLOCALTRANS

    public static final int S_XA_ALREADY_INLOCALTRANS

See Also:
  Constant Field Values

#### S_MTHNSUPP_WITH_SERVER

    public static final int S_MTHNSUPP_WITH_SERVER

See Also:
  Constant Field Values

#### S_PAM_CLASS_NOT_FOUND

    public static final int S_PAM_CLASS_NOT_FOUND

See Also:
  Constant Field Values

#### S_PAM_INTERFACE

    public static final int S_PAM_INTERFACE

See Also:
  Constant Field Values

#### S_PAM_AUTHORIZATION_FAILURE

    public static final int S_PAM_AUTHORIZATION_FAILURE

See Also:
  Constant Field Values

#### S_PAM_MESSAGE_SIZE_EXCEEDED

    public static final int S_PAM_MESSAGE_SIZE_EXCEEDED

See Also:
  Constant Field Values

#### S_PARAMETER_NAME_NOT_FOUND

    public static final int S_PARAMETER_NAME_NOT_FOUND

See Also:
  Constant Field Values

#### S_PARAMETER_MIXED_USAGE

    public static final int S_PARAMETER_MIXED_USAGE

See Also:
  Constant Field Values

#### S_INV_SAVEPOINT_IN_AUTOCOMMIT

    public static final int S_INV_SAVEPOINT_IN_AUTOCOMMIT

See Also:
  Constant Field Values

#### S_INV_OPERATION_SAVEPOINT_IN_XA

    public static final int S_INV_OPERATION_SAVEPOINT_IN_XA

See Also:
  Constant Field Values

#### S_INV_SAVEPOINT_NAME_NULL

    public static final int S_INV_SAVEPOINT_NAME_NULL

See Also:
  Constant Field Values

#### S_INV_SAVEPOINT_NULL

    public static final int S_INV_SAVEPOINT_NULL

See Also:
  Constant Field Values

#### S_INV_SAVEPOINT_DIFF_CONN

    public static final int S_INV_SAVEPOINT_DIFF_CONN

See Also:
  Constant Field Values

#### S_NAMED_SAVEPOINT

    public static final int S_NAMED_SAVEPOINT

See Also:
  Constant Field Values

#### S_UNNAMED_SAVEPOINT

    public static final int S_UNNAMED_SAVEPOINT

See Also:
  Constant Field Values

#### S_INVALID_ARRAY_INDEX_IN_POOL

    public static final int S_INVALID_ARRAY_INDEX_IN_POOL

See Also:
  Constant Field Values

#### S_ARRAY_IS_FREED

    public static final int S_ARRAY_IS_FREED

See Also:
  Constant Field Values

#### S_LOB_IS_FREED

    public static final int S_LOB_IS_FREED

See Also:
  Constant Field Values

#### S_LOB_STREAM_POS_LEN

    public static final int S_LOB_STREAM_POS_LEN

See Also:
  Constant Field Values

#### S_INVALID_WRAP

    public static final int S_INVALID_WRAP

See Also:
  Constant Field Values

#### S_CONCUR_READ_ONLY

    public static final int S_CONCUR_READ_ONLY

See Also:
  Constant Field Values

#### S_IOSTREAM_ERROR

    public static final int S_IOSTREAM_ERROR

See Also:
  Constant Field Values

#### TEMP_REDIRECT_SQLCODE

    public static final int TEMP_REDIRECT_SQLCODE

See Also:
  Constant Field Values

#### TEMPSQLCODE

    public static final int TEMPSQLCODE

See Also:
  Constant Field Values

#### M_FRACSTAT

    public static final int M_FRACSTAT

See Also:
  Constant Field Values

#### M_1FDNODGT

    public static final int M_1FDNODGT

See Also:
  Constant Field Values

#### M_1FDXRDGT

    public static final int M_1FDXRDGT

See Also:
  Constant Field Values

#### M_POSITION

    public static final int M_POSITION

See Also:
  Constant Field Values

#### M_MISSING

    public static final int M_MISSING

See Also:
  Constant Field Values

#### M_OUTJOIN

    public static final int M_OUTJOIN

See Also:
  Constant Field Values

#### M_ESCCLAUS

    public static final int M_ESCCLAUS

See Also:
  Constant Field Values

#### M_NLT0

    public static final int M_NLT0

See Also:
  Constant Field Values

#### M_int

    public static final int M_int

See Also:
  Constant Field Values

#### M_Integer

    public static final int M_Integer

See Also:
  Constant Field Values

#### M_long

    public static final int M_long

See Also:
  Constant Field Values

#### M_Long

    public static final int M_Long

See Also:
  Constant Field Values

#### M_short

    public static final int M_short

See Also:
  Constant Field Values

#### M_Short

    public static final int M_Short

See Also:
  Constant Field Values

#### M_BigDec

    public static final int M_BigDec

See Also:
  Constant Field Values

#### M_byte

    public static final int M_byte

See Also:
  Constant Field Values

#### M_byteArry

    public static final int M_byteArry

See Also:
  Constant Field Values

#### M_Byte

    public static final int M_Byte

See Also:
  Constant Field Values

#### M_boolean

    public static final int M_boolean

See Also:
  Constant Field Values

#### M_Boolean

    public static final int M_Boolean

See Also:
  Constant Field Values

#### M_float

    public static final int M_float

See Also:
  Constant Field Values

#### M_Float

    public static final int M_Float

See Also:
  Constant Field Values

#### M_double

    public static final int M_double

See Also:
  Constant Field Values

#### M_Double

    public static final int M_Double

See Also:
  Constant Field Values

#### M_Date

    public static final int M_Date

See Also:
  Constant Field Values

#### M_Time

    public static final int M_Time

See Also:
  Constant Field Values

#### M_Timestmp

    public static final int M_Timestmp

See Also:
  Constant Field Values

#### M_String

    public static final int M_String

See Also:
  Constant Field Values

#### M_InpStrm

    public static final int M_InpStrm

See Also:
  Constant Field Values

#### M_ASCStrm

    public static final int M_ASCStrm

See Also:
  Constant Field Values

#### M_BinStrm

    public static final int M_BinStrm

See Also:
  Constant Field Values

#### M_Object

    public static final int M_Object

See Also:
  Constant Field Values

#### M_IfxIntrl

    public static final int M_IfxIntrl

See Also:
  Constant Field Values

#### M_CTLMSGTX

    public static final int M_CTLMSGTX

See Also:
  Constant Field Values

#### M_ERRCOD

    public static final int M_ERRCOD

See Also:
  Constant Field Values

#### M_URL

    public static final int M_URL

See Also:
  Constant Field Values

#### M_IntervalYM

    public static final int M_IntervalYM

See Also:
  Constant Field Values

#### M_IntervalDF

    public static final int M_IntervalDF

See Also:
  Constant Field Values

#### M_Interval

    public static final int M_Interval

See Also:
  Constant Field Values

#### M_CharStrm

    public static final int M_CharStrm

See Also:
  Constant Field Values

#### M_IfxBSONObject

    public static final int M_IfxBSONObject

See Also:
  Constant Field Values

#### M_RowId

    public static final int M_RowId

See Also:
  Constant Field Values

#### M_NClob

    public static final int M_NClob

See Also:
  Constant Field Values

#### M_SQLXML

    public static final int M_SQLXML

See Also:
  Constant Field Values

#### M_LDAP_ADDMSG

    public static final int M_LDAP_ADDMSG

See Also:
  Constant Field Values

#### M_LDAP_DELMSG

    public static final int M_LDAP_DELMSG

See Also:
  Constant Field Values

#### M_LDAP_EXISTSMSG

    public static final int M_LDAP_EXISTSMSG

See Also:
  Constant Field Values

#### M_LDAP_UPLOAD_USAGE

    public static final int M_LDAP_UPLOAD_USAGE

See Also:
  Constant Field Values

#### M_LDAP_UPLOAD_INFO

    public static final int M_LDAP_UPLOAD_INFO

See Also:
  Constant Field Values

#### M_LDAP_DELETE_USAGE

    public static final int M_LDAP_DELETE_USAGE

See Also:
  Constant Field Values

#### M_LDAP_DELETE_INFO

    public static final int M_LDAP_DELETE_INFO

See Also:
  Constant Field Values

#### M_LDAP_QUERY_DN

    public static final int M_LDAP_QUERY_DN

See Also:
  Constant Field Values

#### M_LDAP_QUERY_UNAME

    public static final int M_LDAP_QUERY_UNAME

See Also:
  Constant Field Values

#### M_LDAP_QUERY_PW

    public static final int M_LDAP_QUERY_PW

See Also:
  Constant Field Values

#### M_LDAP_INPUT_ARGS

    public static final int M_LDAP_INPUT_ARGS

See Also:
  Constant Field Values

#### M_LDAP_INPUT_FILE

    public static final int M_LDAP_INPUT_FILE

See Also:
  Constant Field Values

#### M_LDAP_INPUT_URL

    public static final int M_LDAP_INPUT_URL

See Also:
  Constant Field Values

#### M_LDAP_INPUT_IXBASE

    public static final int M_LDAP_INPUT_IXBASE

See Also:
  Constant Field Values

#### M_LDAP_INPUT_SQBASE

    public static final int M_LDAP_INPUT_SQBASE

See Also:
  Constant Field Values

#### M_LDAP_INPUT_UNAME

    public static final int M_LDAP_INPUT_UNAME

See Also:
  Constant Field Values

#### M_LDAP_QUERY_COMMIT

    public static final int M_LDAP_QUERY_COMMIT

See Also:
  Constant Field Values

#### M_LDAP_INPUT_ERROR

    public static final int M_LDAP_INPUT_ERROR

See Also:
  Constant Field Values

#### M_LDAP_UPLOAD_SQLH

    public static final int M_LDAP_UPLOAD_SQLH

See Also:
  Constant Field Values

#### M_LDAP_DELETE_SQLH

    public static final int M_LDAP_DELETE_SQLH

See Also:
  Constant Field Values

#### IFXJNS_INTERNAL_ERROR

    public static final int IFXJNS_INTERNAL_ERROR

See Also:
  Constant Field Values

#### IFXJNS_LDAPCTINIT_ERROR

    public static final int IFXJNS_LDAPCTINIT_ERROR

See Also:
  Constant Field Values

#### IFXJNS_LDAPSEARCH_ERROR

    public static final int IFXJNS_LDAPSEARCH_ERROR

See Also:
  Constant Field Values

#### IFXJNS_LDAPUPDATE_ERROR

    public static final int IFXJNS_LDAPUPDATE_ERROR

See Also:
  Constant Field Values

#### M_LDAP_INITCTXDIR

    public static final int M_LDAP_INITCTXDIR

See Also:
  Constant Field Values

#### M_LDAP_SRCH_RSLTS

    public static final int M_LDAP_SRCH_RSLTS

See Also:
  Constant Field Values

#### M_LDAP_EMP_SET_SRCH

    public static final int M_LDAP_EMP_SET_SRCH

See Also:
  Constant Field Values

#### M_LDAP_CHK_CRDNTLS

    public static final int M_LDAP_CHK_CRDNTLS

See Also:
  Constant Field Values

#### M_LDAP_SRCH_RSLTS_G

    public static final int M_LDAP_SRCH_RSLTS_G

See Also:
  Constant Field Values

#### M_LDAP_UPDT_ADDSRVR

    public static final int M_LDAP_UPDT_ADDSRVR

See Also:
  Constant Field Values

#### M_LDAP_UPDT_ADDENTR

    public static final int M_LDAP_UPDT_ADDENTR

See Also:
  Constant Field Values

#### M_LDAP_UPDT_DELSRVR

    public static final int M_LDAP_UPDT_DELSRVR

See Also:
  Constant Field Values

#### M_LDAP_UPDT_DESSQLH

    public static final int M_LDAP_UPDT_DESSQLH

See Also:
  Constant Field Values

#### M_LDAP_UPDT_UPLLDAP

    public static final int M_LDAP_UPDT_UPLLDAP

See Also:
  Constant Field Values

#### M_LDAP_UPDT_UPDSQLH

    public static final int M_LDAP_UPDT_UPDSQLH

See Also:
  Constant Field Values

#### M_LDAP_ERR_FILSQLH

    public static final int M_LDAP_ERR_FILSQLH

See Also:
  Constant Field Values

#### M_LDAP_SRCH_GETSRVR

    public static final int M_LDAP_SRCH_GETSRVR

See Also:
  Constant Field Values

#### M_LDAP_UPDT_UPLDLDP

    public static final int M_LDAP_UPDT_UPLDLDP

See Also:
  Constant Field Values

#### IFXJNS_SQLHFILE_ACCESS_ERROR

    public static final int IFXJNS_SQLHFILE_ACCESS_ERROR

See Also:
  Constant Field Values

#### IFXJNS_SERVER_NOTFOUND_ERROR

    public static final int IFXJNS_SERVER_NOTFOUND_ERROR

See Also:
  Constant Field Values

#### IFXASF_UNEXPECTED_SVR_MSG

    public static final int IFXASF_UNEXPECTED_SVR_MSG

See Also:
  Constant Field Values

#### IFXASF_SOCKET_EXCEPTION

    public static final int IFXASF_SOCKET_EXCEPTION

See Also:
  Constant Field Values

#### IFXASF_SECURE_SOCKET_EXCEPTION

    public static final int IFXASF_SECURE_SOCKET_EXCEPTION

See Also:
  Constant Field Values

#### IFXASF_BADSERVICE_EXCEPTION

    public static final int IFXASF_BADSERVICE_EXCEPTION

See Also:
  Constant Field Values

#### IFXASF_BADPWD_EXCEPTION

    public static final int IFXASF_BADPWD_EXCEPTION

See Also:
  Constant Field Values

#### IFXASF_INVALID_API_INPUT_PARAM

    public static final int IFXASF_INVALID_API_INPUT_PARAM

See Also:
  Constant Field Values

#### IFXASF_INTERNAL_COM_ERROR

    public static final int IFXASF_INTERNAL_COM_ERROR

See Also:
  Constant Field Values

#### IFXCSM_PROTOCOL_ERROR

    public static final int IFXCSM_PROTOCOL_ERROR

See Also:
  Constant Field Values

#### IFXCSM_CRYPTO_LIB_ERROR

    public static final int IFXCSM_CRYPTO_LIB_ERROR

See Also:
  Constant Field Values

#### NETSCAPE_EXCEPTION

    public static final int NETSCAPE_EXCEPTION

See Also:
  Constant Field Values

#### IFXASF_TRSTD_CNTXT_FAIL

    public static final int IFXASF_TRSTD_CNTXT_FAIL

See Also:
  Constant Field Values

#### S_CURSOR_NOT_OPEN

    public static final int S_CURSOR_NOT_OPEN

See Also:
  Constant Field Values

#### S_MsgNotFound

    public static final int S_MsgNotFound

See Also:
  Constant Field Values

#### S_INVALID_GENERATED_KEYS

    public static final int S_INVALID_GENERATED_KEYS

See Also:
  Constant Field Values

#### S_INVALID_CHARACTER

    public static final int S_INVALID_CHARACTER

See Also:
  Constant Field Values

### Constructor Detail

#### IfxErrMsg

    public IfxErrMsg()

Empty constructor. Methods from this class are static.

### Method Detail

#### setSQLExceptionCause

    public static java.sql.SQLException setSQLExceptionCause(java.sql.SQLException sqlException,
                                             java.lang.Exception cause)

Return SQLException with the cause set to 'cause' if the JDK is greater than or equal to 1.4.

Parameters:
  `sqlException` -
  `cause` -
Returns:
  SQLException

#### setExceptionCause

    public static java.lang.Exception setExceptionCause(java.lang.Exception exception,
                                        java.lang.Exception cause)

#### getSQLException

    public static java.sql.SQLException getSQLException(int sqlcode,
                                        IfxConnection conn)

Return SQLException made up of the following information: - error message text for error 'sqlcode', taken from our .msg files. - SqlState code that corresponds to 'sqlcode'. - sqlcode

Parameters:
  `conn` -
  `sqlcode` -
Returns:
  SQLException

#### getLocSQLException

    public static java.sql.SQLException getLocSQLException(int sqlcode,
                                           java.lang.String locale)

Return SQLException made up of the following information: - error message text for error 'sqlcode', taken from our .msg files. - SqlState code that corresponds to 'sqlcode'. - sqlcode This method takes a string Locale instead of a connection object for classes that don't have or don't want to store a connection object.

Parameters:
  `sqlcode` -
  `locale` - - locale of exception
Returns:
  SQLException

#### getSQLException

    public static java.sql.SQLException getSQLException(int sqlcode,
                                        int isamcode,
                                        IfxConnection conn)

Return SQLException made up of the following information: - error message text for error 'sqlcode', taken from our .msg files. - SqlState code that corresponds to 'sqlcode'. - sqlcode, isamcode

Parameters:
  `sqlcode` -
  `isamcode` -
  `conn` -
Returns:
  SQLException

#### getSQLException

    public static java.sql.SQLException getSQLException(java.lang.Integer sqlCode,
                                        java.lang.Integer isamCode,
                                        IfxConnection conn,
                                        java.lang.String locale,
                                        java.lang.String msg)

#### getSQLException

    public static java.sql.SQLException getSQLException(java.lang.Integer sqlCode,
                                        java.lang.Integer isamCode,
                                        IfxConnection conn,
                                        java.util.Locale locale,
                                        java.lang.String msg)

#### getSQLException

    public static java.sql.SQLException getSQLException(int sqlcode,
                                        java.lang.String msg,
                                        IfxConnection conn)

Return SQLException made up of the following information: - error message text for error 'sqlcode', and 'msg'. This is useful for including extra text not in the error message text. - SqlState code that corresponds to 'sqlcode'. - sqlcode

Parameters:
  `sqlcode` -
  `msg` -
  `conn` -
Returns:
  SQLException

#### getLocSQLException

    public static java.sql.SQLException getLocSQLException(int sqlcode,
                                           java.lang.String msg,
                                           java.lang.String locale)

Return SQLException made up of the following information: - error message text for error 'sqlcode', and 'msg'. This is useful for including extra text not in the error message text. - SqlState code that corresponds to 'sqlcode'. - sqlcode This method takes a string Locale instead of a connection object for classes that don't have or don't want to store a connection object.

Parameters:
  `sqlcode` -
  `msg` -
  `Locale` -
Returns:
  SQLException

#### getSQLException

    public static java.sql.SQLException getSQLException(int sqlcode,
                                        java.lang.String msg,
                                        java.lang.String locale)

Return SQLException made up of the following information: - error message text for error 'sqlcode', and 'msg'. This is useful for including extra text not in the error message text. - SqlState code that corresponds to 'sqlcode'. - sqlcode

Parameters:
  `sqlcode` -
  `msg` -
  `locale` -
Returns:
  SQLException

#### getSQLException

    public static java.sql.SQLException getSQLException(int sqlcode,
                                        java.lang.String msg,
                                        java.util.Locale loc)

Return SQLException made up of the following information: - error message text for error 'sqlcode', and 'msg'. This is useful for including extra text not in the error message text. - SqlState code that corresponds to 'sqlcode'. - sqlcode

Parameters:
  `sqlcode` -
  `msg` -
  `loc` -
Returns:
  SQLException

#### getSQLMinorException

    public static java.sql.SQLException getSQLMinorException(int sqlcode,
                                             int minor,
                                             IfxConnection conn)

Return SQLException made up of the following information: - error message text for error 'sqlcode' plus error message text from jdbcminor.msg for error 'minor' - SqlState code that corresponds to 'sqlcode'. - sqlcode

Parameters:
  `conn` -
  `sqlcode` -
  `minor` - sqlcode
Returns:
  SQLException

#### getLocSQLMinorException

    public static java.sql.SQLException getLocSQLMinorException(int sqlcode,
                                                int minor,
                                                java.lang.String locale)

Return SQLException made up of the following information: - error message text for error 'sqlcode' plus error message text from jdbcminor.msg for error 'minor' - SqlState code that corresponds to 'sqlcode'. - sqlcode This method takes a string Locale instead of a connection object for classes that don't have or don't want to store a connection object.

Parameters:
  `conn` -
  `sqlcode` -
  `minor` - sqlcode
Returns:
  SQLException

#### getSQLMinorException

    public static java.sql.SQLException getSQLMinorException(int sqlcode,
                                             int minor,
                                             java.lang.String s,
                                             IfxConnection conn)

Return SQLException made up of the following information: - error message text for error 'sqlcode' plus error message text from jdbcminor.msg for error 'minor' plus string 's' - SqlState code that corresponds to 'sqlcode'. - sqlcode

Parameters:
  `conn` -
  `sqlcode` -
  `minor` - sqlcode
  `String` - to append to minor error message text
Returns:
  SQLException

#### getLocSQLMinorException

    public static java.sql.SQLException getLocSQLMinorException(int sqlcode,
                                                int minor,
                                                java.lang.String s,
                                                java.lang.String locale)

Return SQLException made up of the following information: - error message text for error 'sqlcode' plus error message text from jdbcminor.msg for error 'minor' plus string 's' - SqlState code that corresponds to 'sqlcode'. - sqlcode This method takes a string Locale instead of a connection object for classes that don't have or don't want to store a connection object.

Parameters:
  `conn` -
  `sqlcode` -
  `minor` - sqlcode
  `String` - to append to minor error message text
Returns:
  SQLException

#### getSQLMinorException

    public static java.sql.SQLException getSQLMinorException(int sqlcode,
                                             java.lang.String s1,
                                             int minor,
                                             java.lang.String s2,
                                             IfxConnection conn)

Return SQLException made up of the following information: - error message text for error 'sqlcode' plus string 's1' plus error message text from jdbcminor.msg for error 'minor' plus string 's2' - SqlState code that corresponds to 'sqlcode'. - sqlcode

Parameters:
  `conn` -
  `sqlcode` -
  `minor` - sqlcode
  `String` - to append to sqlcode error message text
  `String` - to append to minor error message text
Returns:
  SQLException

#### getMinorMsg

    public static java.lang.String getMinorMsg(int sqlcode,
                               java.lang.String locale)

Return the error message text from IfxMinorMsgBundle that corresponds to error code 'sqlcode'. IfxMinorMsgBundle is constructed from jdbcminor.msg.

Parameters:
  `sqlcode` -
  `conn` -
Returns:
  error message text

#### getMinorMsg

    public static java.lang.String getMinorMsg(int sqlcode,
                               IfxConnection conn)

Return the error message text from IfxMinorMsgBundle that corresponds to error code 'sqlcode'. IfxMinorMsgBundle is constructed from jdbcminor.msg.

Parameters:
  `sqlcode` -
  `conn` -
Returns:
  error message text

#### getIfxASFException

    public static IfxASFException getIfxASFException(int sqlcode,
                                     IfxConnection conn)

Return IfxASFException made up of the following information: - sqlcode - error message text for error 'sqlcode', taken from our .msg files.

Parameters:
  `sqlcode` -
  `conn` -
Returns:
  IfxASFException

#### getLocIfxASFException

    public static IfxASFException getLocIfxASFException(int sqlcode,
                                        java.lang.String locale)

Return IfxASFException made up of the following information: - sqlcode - error message text for error 'sqlcode', taken from our .msg files.

Parameters:
  `sqlcode` -
  `locale` -
Returns:
  IfxASFException

#### getIfxASFException

    public static IfxASFException getIfxASFException(int sqlcode,
                                     java.lang.String msg,
                                     IfxConnection conn)

Return IfxASFException made up of the following information: - sqlcode - error message text for error 'sqlcode', and 'msg'. This is useful for including extra text not in the error message text.

Parameters:
  `sqlcode` -
  `msg` -
  `conn` -
Returns:
  IfxASFException

#### getLocIfxASFException

    public static IfxASFException getLocIfxASFException(int sqlcode,
                                        java.lang.String msg,
                                        java.lang.String locale)

Return IfxASFException made up of the following information: - sqlcode - error message text for error 'sqlcode', and 'msg'. This is useful for including extra text not in the error message text.

Parameters:
  `sqlcode` -
  `msg` -
  `locale` -
Returns:
  IfxASFException

#### getIfxCSSException

    public static IfxCSSException getIfxCSSException(int sqlcode,
                                     IfxConnection conn)

Return IfxCSSException made up of the following information: - sqlcode - error message text for error 'sqlcode', taken from our .msg files.

Parameters:
  `sqlcode` -
  `conn` -
Returns:
  IfxCSSException

#### getLocIfxCSSException

    public static IfxCSSException getLocIfxCSSException(int sqlcode,
                                        java.lang.String locale)

Return IfxCSSException made up of the following information: - sqlcode - error message text for error 'sqlcode', taken from our .msg files.

Parameters:
  `sqlcode` -
  `locale` -
Returns:
  IfxCSSException

#### getIfxCSSException

    public static IfxCSSException getIfxCSSException(int sqlcode,
                                     java.lang.String msg,
                                     IfxConnection conn)

Return IfxCSSException made up of the following information: - sqlcode - error message text for error 'sqlcode', and 'msg'. This is useful for including extra text not in the error message text.

Parameters:
  `sqlcode` -
  `msg` -
  `conn` -
Returns:
  IfxCSSException

#### getLocIfxCSSException

    public static IfxCSSException getLocIfxCSSException(int sqlcode,
                                        java.lang.String msg,
                                        java.lang.String locale)

Return IfxCSSException made up of the following information: - sqlcode - error message text for error 'sqlcode', and 'msg'. This is useful for including extra text not in the error message text.

Parameters:
  `sqlcode` -
  `msg` -
  `locale` -
Returns:
  IfxCSSException

#### getIOException

    public static java.io.IOException getIOException(int sqlcode,
                                     IfxConnection conn)

Return IOException made up of the following information: - error message text for error 'sqlcode', taken from our .msg files.

Parameters:
  `sqlcode` -
  `conn` -
Returns:
  IOException

#### getLocIOException

    public static java.io.IOException getLocIOException(int sqlcode,
                                        java.lang.String locale)

Return IOException made up of the following information: - error message text for error 'sqlcode', taken from our .msg files.

Parameters:
  `sqlcode` -
  `locale` -
Returns:
  IOException

#### getIOException

    public static java.io.IOException getIOException(int sqlcode,
                                     java.lang.String msg,
                                     IfxConnection conn)

Return IOException made up of the following information: - error message text for error 'sqlcode', and 'msg'. This is useful for including extra text not in the error message text.

Parameters:
  `sqlcode` -
  `conn` -
Returns:
  IOException

#### getLocIOException

    public static java.io.IOException getLocIOException(int sqlcode,
                                        java.lang.String msg,
                                        java.lang.String locale)

Return IOException made up of the following information: - error message text for error 'sqlcode', and 'msg'. This is useful for including extra text not in the error message text.

Parameters:
  `sqlcode` -
  `locale` -
  `msg` -
Returns:
  IOException

#### getLocIOException

    public static java.io.IOException getLocIOException(int sqlcode,
                                        int minor,
                                        java.lang.String msg,
                                        java.lang.String locale)

Return IOException made up of the following information: - error message text for error 'sqlcode', 'minor' and 'msg'. This is useful for including extra text not in the error message text.

Parameters:
  `sqlcode` -
  `locale` -
  `msg` -
Returns:
  IOException

#### getIfxJNSException

    public static IfxJNSException getIfxJNSException(int sqlcode,
                                     IfxConnection conn)

Return IfxJNSException made up of the following information: - sqlcode - error message text for error 'sqlcode', taken from our .msg files.

Parameters:
  `sqlcode` -
  `conn` -
Returns:
  IfxJNSException

#### getLocIfxJNSException

    public static IfxJNSException getLocIfxJNSException(int sqlcode,
                                        java.lang.String locale)

Return IfxJNSException made up of the following information: - sqlcode - error message text for error 'sqlcode', taken from our .msg files.

Parameters:
  `sqlcode` -
  `locale` -
Returns:
  IfxJNSException

#### getLocIfxJNSException

    public static IfxJNSException getLocIfxJNSException(int sqlcode,
                                        int minor,
                                        java.lang.String locale)

Return IfxJNSException made up of the following information: - sqlcode - error message text for error 'sqlcode', and 'minor' This is useful for including extra text not in the error message text.

Parameters:
  `sqlcode` -
  `minor` -
  `locale` -
Returns:
  IfxJNSException

#### getLocIfxJNSException

    public static IfxJNSException getLocIfxJNSException(int sqlcode,
                                        int minor1,
                                        int minor2,
                                        java.lang.String locale)

Return IfxJNSException made up of the following information: - sqlcode - error message text for error 'sqlcode', and 'minor1' and 'minor2'. This is useful for including extra text not in the error message text.

Parameters:
  `sqlcode` -
  `minor1` -
  `minor2` -
  `locale` -
Returns:
  IfxJNSException

#### getMessage

    public static java.lang.String getMessage(int sqlcode)

Wrapper for IfxMessage.getMessage()

Parameters:
  `sqlcode` - Informix sql error code number
Returns:
  error message text

#### getMessage

    public static java.lang.String getMessage(int sqlcode,
                              java.lang.String locale)

Wrapper for IfxMessage.getMessage()

Parameters:
  `sqlcode` - Informix sql error code number
  `conn` -
Returns:
  error message text

#### getMessage

    public static java.lang.String getMessage(int sqlcode,
                              IfxConnection conn)

Wrapper for IfxMessage.getMessage()

Parameters:
  `sqlcode` - Informix sql error code number
  `conn` -
Returns:
  error message text

#### getMessage

    public static java.lang.String getMessage(java.lang.String msgtext,
                              java.lang.String arg1,
                              java.lang.String locale)

Wrapper for IfxMessage.getMessage()

Parameters:
  `msgtext` - Informix error message text
  `arg1` - text string to replace %d, %s, or %ld in msgtext
  `conn` -
Returns:
  error message text

#### getMessage

    public static java.lang.String getMessage(java.lang.String msgtext,
                              java.lang.String arg1,
                              IfxConnection conn)

Wrapper for IfxMessage.getMessage()

Parameters:
  `msgtext` - Informix error message text
  `arg1` - text string to replace %d, %s, or %ld in msgtext
  `conn` -
Returns:
  error message text

#### getMessage

    public static java.lang.String getMessage(int sqlcode,
                              java.lang.String arg1,
                              java.lang.String locale)

Wrapper for IfxMessage.getMessage()

Parameters:
  `sqlcode` - Informix sql error number
  `arg1` - text string to replace %d, %s, or %ld in the message text
  `locale` -
Returns:
  error message text

#### getMessage

    public static java.lang.String getMessage(int sqlcode,
                              java.lang.String arg1,
                              IfxConnection conn)

Wrapper for IfxMessage.getMessage()

Parameters:
  `sqlcode` - Informix sql error number
  `arg1` - text string to replace %d, %s, or %ld in the message text
  `conn` -
Returns:
  error message text

#### getMessage

    public static java.lang.String getMessage(java.lang.String msgtext,
                              java.lang.String arg1,
                              java.lang.String arg2,
                              IfxConnection conn)

Wrapper for IfxMessage.getMessage()

Parameters:
  `msgtext` - Informix error message text
  `arg1` - text string to replace the first occurrence of %d, %s, or %ld in msgtext
  `arg2` - text string to replace the second occurrence of %d, %s, or %ld in msgtext
  `conn` -
Returns:
  error message text

#### getMessage

    public static java.lang.String getMessage(int sqlcode,
                              java.lang.String arg1,
                              java.lang.String arg2,
                              IfxConnection conn)

Wrapper for IfxMessage.getMessage()

Parameters:
  `sqlcode` - Informix sql error number
  `arg1` - text string to replace the first occurrence of %d, %s, or %ld in the message text
  `arg2` - text string to replace the second occurrence of %d, %s, or %ld in the message text
  `conn` -
Returns:
  error message text

#### getSQLSTATE

    public static java.lang.String getSQLSTATE(int sqlcode)

Wrapper for IfxMessage.getSQLSTATE()

Parameters:
  `sqlcode` - Informix sql error number
Returns:
  SqlState code